> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /blind/posts/search

> Search Blind (teamblind.com) community posts by keyword

**Price:** 20 credits



## OpenAPI

````yaml /openapi/reviews-software-employer.json post /api/blind/posts/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/blind/posts/search:
    post:
      tags:
        - /blind
      summary: /blind/posts/search
      description: |-
        Search Blind (teamblind.com) community posts by keyword

        **Price:** 20 credits
      operationId: __api_blind_posts_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BlindPostsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BlindPostCard'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BlindPostsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        query:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - query
        - count
    BlindPostCard:
      properties:
        '@type':
          type: string
          default: BlindPostCard
        alias:
          type: string
        post_title:
          anyOf:
            - type: string
            - type: 'null'
        text:
          anyOf:
            - type: string
            - type: 'null'
        url:
          type: string
        channel:
          anyOf:
            - type: string
            - type: 'null'
        channel_url:
          anyOf:
            - type: string
            - type: 'null'
        author:
          anyOf:
            - $ref: '#/components/schemas/BlindPostCardAuthor'
            - type: 'null'
        like_count:
          anyOf:
            - type: integer
            - type: 'null'
        comment_count:
          anyOf:
            - type: integer
            - type: 'null'
        view_count:
          anyOf:
            - type: integer
            - type: 'null'
        is_poll:
          type: boolean
          default: false
        poll_vote_count:
          anyOf:
            - type: integer
            - type: 'null'
        images:
          items:
            type: string
          type: array
          default: []
        link:
          anyOf:
            - $ref: '#/components/schemas/BlindPostLink'
            - type: 'null'
        tags:
          items:
            type: string
          type: array
          default: []
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - alias
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    BlindPostCardAuthor:
      properties:
        '@type':
          type: string
          default: BlindPostCardAuthor
        nickname:
          anyOf:
            - type: string
            - type: 'null'
        company:
          anyOf:
            - type: string
            - type: 'null'
        company_alias:
          anyOf:
            - type: string
            - type: 'null'
        company_image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    BlindPostLink:
      properties:
        '@type':
          type: string
          default: BlindPostLink
        url:
          anyOf:
            - type: string
            - type: 'null'
        link_title:
          anyOf:
            - type: string
            - type: 'null'
        provider:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````